iMovie '08 on a G5 1.6ghz

Discussion in 'Mac Apps and Mac App Store' started by apodacainc, Aug 8, 2007.

  1. apodacainc macrumors newbie

    Joined:
    Aug 8, 2007
    Location:
    Washington, D.C.
    #1
    I just bought this, and though I have a compatible intel macbook, it says I need at least a dual 2.0 G5. Anyone know a way around this?
     
  2. apodacainc thread starter macrumors newbie

    Joined:
    Aug 8, 2007
    Location:
    Washington, D.C.
    #2
    Re: iLife '8 on a G5 1.6ghz

    okay, it's me again... I got home and put the software on both my macbook AND my G5 1.6ghz... the requirements say I need at least a dual 2.0... apparently not... so far so good! Woohoo! Though my laptop runs everything, I do still use my G5 as my work horse, I didn't want to do all my vid on my laptop. So there. Woohoo! :p:apple::p
     
  3. megfilmworks macrumors 68020

    megfilmworks

    Joined:
    Jul 1, 2007
    Location:
    Sherman Oaks
    #3
    Keep us informed as you use it over the next few days. I have a dual G5 and a single G5, as well as a Ti G4 laptop. I will install it on my Intel MacBook Pro 17", but may wait to see how users with g5s react, before I decide to buy the family pack.
     

Share This Page